<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class In_parc extends Admin_Controller {

    public function __construct()
    {
        parent::__construct();

		$this->load->model('man_espacial/in_parc/in_parc_model');
        $this->lang->load('in_parc/in_parc');

        /* Title Page :: Common */
        $this->page_title->push(lang('menu_in_parc'));
        $this->data['pagetitle'] = $this->page_title->show();

        if ($_SESSION['id_modulo'] != 'IN_PARC') {

			$_SESSION['arraywhere_in_parc'] = NULL;
			$_SESSION['arraywhere_in_parc_busq'] = NULL;
			$_SESSION['id_modulo'] = 'IN_PARC';
		}

        /* Breadcrumbs :: Common */
        $this->breadcrumbs->unshift(1, lang('menu_in_parc'), 'admin/in_temp');
    }


	public function index()
	{
        if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
        {
            redirect('auth/login', 'refresh');
        }
        else
        {
            if ($_POST) {

				if ($_POST['dpto']) 
				{
					$arraywhere['dpto'] 			= $_POST['dpto'];
					$arraywherebusq['dpto'] 			= $_POST['dpto'];
				}
				if ($_POST['dpto_desc']) 
				{
					$arraywhere['dpto_desc'] 		= $_POST['dpto_desc'];
					$arraywherebusq[' lower(dpto_desc) like'] 			= '%'.strtolower($_POST['dpto_desc']).'%';
				}
				if ($_POST['distrito']) 
				{
					$arraywhere['distrito'] 		= $_POST['distrito'];
					$arraywherebusq[' distrito like'] 			= '%'.$_POST['distrito'].'%';
				}
				if ($_POST['dist_desc']) 
				{
					$arraywhere['dist_desc'] 		= $_POST['dist_desc'];
					$arraywherebusq[' lower(dist_desc) like'] 			= '%'.strtolower($_POST['dist_desc']).'%';
				}
				if ($_POST['colonia']) 
				{
					if (is_numeric($_POST['colonia'])) {
						$arraywhere['colonia'] 			= $_POST['colonia'];
						$arraywherebusq['colonia'] 			= $_POST['colonia'];
					}
				}
				if ($_POST['col_desc']) 
				{
					$arraywhere['col_desc'] 		= $_POST['col_desc'];
					$arraywherebusq[' lower(col_desc) like'] 			= '%'.strtolower($_POST['col_desc']).'%';
				}
				if ($_POST['mz_agr']) 
				{
					$arraywhere['mz_agr'] 			= $_POST['mz_agr'];
					$arraywherebusq[' lower(mz_agr) like'] 			= '%'.strtolower($_POST['mz_agr']).'%';
				}
				if ($_POST['lote_agr']) 
				{
					$arraywhere['lote_agr'] 		= $_POST['lote_agr'];
					$arraywherebusq[' lower(lote_agr) like'] 			= '%'.strtolower($_POST['lote_agr']).'%';
				}

				$_SESSION['arraywhere_in_parc'] 	= $arraywhere;
				$_SESSION['arraywhere_in_parc_busq']= $arraywherebusq;

				redirect('man_espacial/in_parc/in_parc/index');				
			}

			 // ----- Paginacion Generica 
			$mi_paginacion = $this->ion_auth->paginacion_generica(
				12, 						// resultados por por_pagina, 
				5, 							// segmento uri a leer, 
				5, 							// cantidad_enlaces,
				base_url(). 'man_espacial/in_parc/in_parc/index/',  // url completa de la pagina paginada
				'in_parc',		// scheme y nombre de la tabla, para la consulta
				$_SESSION['arraywhere_in_parc_busq']
				);

			$this->data['pagination'] 		= $mi_paginacion['pagination'];

			$this->data['in_parc']	  		= $this->ion_auth_model->segmentador_paginas(
 				$mi_paginacion['per_page'], 	// resultados por pagina
 				5,								// segmento uri a leer
 				'in_parc',					// el nombre de la tabla a consultar $nombre_tabla
 				$_SESSION['arraywhere_in_parc_busq']
 				)->result();
			// ----- Fin paginacion

            /* Breadcrumbs */
            $this->data['breadcrumb'] = $this->breadcrumbs->show();

            /* Load Template */
            $this->template->admin_render('man_espacial/in_parc/index', $this->data);
        }
    }

	public function verparcela ($objectid) {
	
		$bbox = $this->in_temp_model->bb($objectid);
		if ($bbox)
		{
			$data['campo1'] = $bbox[0]['campo1'];
        	$data['campo2'] = $bbox[0]['campo2'];
        	$data['campo3'] = $bbox[0]['campo3'];
        	$data['campo4'] = $bbox[0]['campo4'];

        	$data['concat'] = $bbox[0]['campo1']. ',' . $bbox[0]['campo2'] . ',' .$bbox[0]['campo3']. ',' . $bbox[0]['campo4'];
			
        	$i_jameuge = $_SESSION['url_i3geo']."/i3geo/ms_criamapa.php?layers=tempo";
        	$i_jameuge = $i_jameuge . "&map_layer_tempo_filter=objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapext=". $data['concat'];

			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}
	public function verparcela1 ($objectid) {
	
		$bbox = $this->in_temp_model->boundary_box($objectid)->row();
		if ($bbox)
		{
        	$i_jameuge = $_SESSION['url_i3geo']."/i3geo/ms_criamapa.php?layers=tempo";
        	$i_jameuge = $i_jameuge . "&map_layer_tempo_filter=objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapext=". $bbox->bb;

			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}

	public function informe_deslinde () {
		
		header("Location: ".$_SESSION['url_i3geo']."/i3geo/ferramentas/imprimir/imprimir_A4_informe_deslinde.php?mapfile=C:/ms4w/Apache/htdocs/i3geo/aplicmap/imprimir_A4_plano_individual.map&interface=googlemaps&objectid=41141&dpto=10&distrito=06&colonia=12&mz_agr=I&lote_agr=2I&usr=1");
	}
}